Public Member Functions | Public Attributes | Friends | List of all members
MsWrdStruct::Table::Cell Struct Reference

the cells definitions in a Microsoft Word Table More...

`#include <MsWrdStruct.hxx>`

## Public Member Functions
| Cell ()
| constructor More...
void | insert (Cell const &cell)
| update the cell data by merging More...
bool | hasBorders () const
| returns true if the cell has borders More...

## Public Attributes
std::vector< MWAWVariable< MWAWBorder > > | m_borders
| the borders TLBR More...
MWAWVariable< float > | m_backColor
| the background gray color More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Cell const &cell)
| operator<< More...

## Detailed Description

the cells definitions in a Microsoft Word Table

## Constructor & Destructor Documentation

## ◆ Cell()

MsWrdStruct::Table::Cell::Cell | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ hasBorders()

bool MsWrdStruct::Table::Cell::hasBorders | ( |  | ) | const
| inline

returns true if the cell has borders

Referenced by MsWrdStruct::operator<<().

## ◆ insert()

void MsWrdStruct::Table::Cell::insert | ( | Cell const & | cell | ) |
| inline

update the cell data by merging

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Table::Cell const & | cell
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_backColor

MWAWVariable<float> MsWrdStruct::Table::Cell::m_backColor

the background gray color

Referenced by insert(), and MsWrdStruct::operator<<().

## ◆ m_borders

std::vector<MWAWVariable<MWAWBorder> > MsWrdStruct::Table::Cell::m_borders

the borders TLBR

Referenced by insert(), MsWrdStruct::operator<<(), and MsWrdStruct::Table::read().

## ◆ m_extra

std::string MsWrdStruct::Table::Cell::m_extra

extra data

Referenced by insert(), MsWrdStruct::operator<<(), and MsWrdStruct::Table::read().

The documentation for this struct was generated from the following file:

- MsWrdStruct.hxx